Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455539 - Review Request: yui - JavaScript library for building dynamic web sites
Summary: Review Request: yui - JavaScript library for building dynamic web sites
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-07-15 22:27 UTC by Dave Malcolm
Modified: 2010-01-26 00:07 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-26 00:07:44 UTC


Attachments (Terms of Use)

Description Dave Malcolm 2008-07-15 22:27:18 UTC
Spec URL: http://dmalcolm.fedorapeople.org/yui.spec
SRPM URL: http://dmalcolm.fedorapeople.org/yui-2.5.2-1.src.rpm
Description: 
YUI is a JavaScript library for building dynamic web sites.  It contains
low-level utilities and graphical controls.


I've attempted to follow the guidelines on this page, and taken MochiKit's packaging as a guide:
https://fedoraproject.org/wiki/PackagingDrafts/JavaScript

There's extensive documentation, which I've split as a subpackage since you probably don't want it around in a deployment situation.

Comment 1 Rahul Sundaram 2008-07-21 02:29:50 UTC
The spec claims it is BSD but YUL itself uses other components under different
licenses and the combined code cannot be called BSD. You probably need to split
up the individual portions (such as JSON code from Adobe licensed under MIT) and
package them separately and add a build requires from the main package. 

Comment 2 Rakesh Pandit 2008-08-24 06:01:18 UTC
@Dave

Are you willing to continue ? Any updates?

The ticket is stalled. It has been 1 month +, I am putting it 'need info'.

Comment 3 Peter Lemenkov 2009-02-16 18:33:48 UTC
ping!

Comment 4 Dave Malcolm 2009-02-17 00:32:18 UTC
Sorry for dropping this.

I believe the code in question (the as-docs and as-src subdirectories) is ActionScript, and I don't know if we've got any way of running this within Fedora as is.

Do I need to delete the non-BSD code from the source zipfile, or can I simply delete it during the build process?

Comment 5 Rahul Sundaram 2009-02-17 02:36:12 UTC
As long as the source is distributable, it is ok to delete files during the build process.

Comment 6 Till Maas 2009-04-18 14:52:14 UTC
Please clear NotReady from the Whiteboard when this review request is ready for a review.

Comment 7 Jason Tibbitts 2010-01-26 00:07:44 UTC
This has been marked as not being ready for most of a year now.  I'm just going to close this out.


Note You need to log in before you can comment on or make changes to this bug.